#!/usr/bin/php -q
<?php

// argv[1]: config file to read
// argv[2]: routing file to write

if ($argc != 3) {
    exit;
}

$configfile = $argv[1];
$routingfile = $argv[2];

if ($configfile && is_readable($configfile)) {
    if ($routingfile && is_file($routingfile)) {
        $handle = fopen("http://www.telefonsparbuch.de/nocache/info.lcr.last_modified.txt", "r");
        $filetime = strtotime(fgets($handle));
        fclose($handle);
        if ($filetime > gmmktime()) {
            echo "Newer file! Waiting ... ";
            sleep(rand(0,30));
            echo "done.\n";
            echo "Download now ... ";
            $wgetcmd = "wget -N -S http://www.telefonsparbuch.de/tmpl/calc/telephone/lcr/Asterisk/download/index.htm --post-data 'VERSION=1&TAKE_FILE=" . urlencode(file_get_contents($configfile)) ."' 2> /dev/null";
            system($wgetcmd);
            echo "done.\n";
            echo "Update routing file ... ";
            system("mv index.htm $routingfile");
            echo "done.\n";
        } else {
            echo "File still valid! No download needed!\n";
        }
    }
}
?>
